PUT api/Users/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
User| Name | Description | Type | Additional information |
|---|---|---|---|
| userId | globally unique identifier |
None. |
|
| username | string |
None. |
|
| password | string |
None. |
|
| string |
None. |
||
| phone | string |
None. |
|
| roleTypeId | integer |
None. |
|
| customerId | globally unique identifier |
None. |
|
| createdDate | date |
None. |
|
| pilotId | globally unique identifier |
None. |
|
| viewTasksFromAnyDateForPilot | boolean |
None. |
|
| Customer | Customer |
None. |
|
| Pilot | Pilot |
None. |
|
| RoleType | RoleType |
None. |
Request Formats
application/json, text/json
Sample:
{
"userId": "eb4c3261-37be-4bf1-9636-7f84e504851b",
"username": "sample string 2",
"password": "sample string 3",
"email": "sample string 4",
"phone": "sample string 5",
"roleTypeId": 6,
"customerId": "1caddb84-51e8-4c79-8094-726325be8556",
"createdDate": "2026-03-20T18:40:44.5771034+00:00",
"pilotId": "b5ff3af7-d825-4f91-9e8c-50ab19ddfb81",
"viewTasksFromAnyDateForPilot": true,
"Customer": {
"customerId": "4c6e7c9b-660d-45e0-9164-e5d5f59ded04",
"name": "sample string 2",
"phone": "sample string 3",
"email": "sample string 4",
"dateCreated": "2026-03-20T18:40:44.5771034+00:00"
},
"Pilot": {
"pilotId": "ce13f586-190a-4c39-a8b3-e2524580c907",
"name": "sample string 2",
"pilotTypeId": "5de76f00-ae31-438e-846e-aed0576f6688",
"phone": "sample string 4",
"isLicenseGimel": true,
"isLicenseRT": true,
"createdDate": "2026-03-20T18:40:44.5771034+00:00",
"PilotType": {
"pilotTypeId": "deca5786-0bef-4842-b7e7-850d7810ffd3",
"name": "sample string 2"
}
},
"RoleType": {
"roleTypeId": 1,
"name": "sample string 2",
"createdDate": "2026-03-20T18:40:44.5771034+00:00"
}
}
text/html
Sample:
{"userId":"eb4c3261-37be-4bf1-9636-7f84e504851b","username":"sample string 2","password":"sample string 3","email":"sample string 4","phone":"sample string 5","roleTypeId":6,"customerId":"1caddb84-51e8-4c79-8094-726325be8556","createdDate":"2026-03-20T18:40:44.5771034+00:00","pilotId":"b5ff3af7-d825-4f91-9e8c-50ab19ddfb81","viewTasksFromAnyDateForPilot":true,"Customer":{"customerId":"4c6e7c9b-660d-45e0-9164-e5d5f59ded04","name":"sample string 2","phone":"sample string 3","email":"sample string 4","dateCreated":"2026-03-20T18:40:44.5771034+00:00"},"Pilot":{"pilotId":"ce13f586-190a-4c39-a8b3-e2524580c907","name":"sample string 2","pilotTypeId":"5de76f00-ae31-438e-846e-aed0576f6688","phone":"sample string 4","isLicenseGimel":true,"isLicenseRT":true,"createdDate":"2026-03-20T18:40:44.5771034+00:00","PilotType":{"pilotTypeId":"deca5786-0bef-4842-b7e7-850d7810ffd3","name":"sample string 2"}},"RoleType":{"roleTypeId":1,"name":"sample string 2","createdDate":"2026-03-20T18:40:44.5771034+00:00"}}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
None.